<div class="mode">
    <h3 (click)="isCollapsed = !isCollapsed" [attr.aria-expanded]="!isCollapsed" [attr.aria-controls]="recommendedItem.mode">
      {{recommendedItem.mode}} ({{recommendedItem.type}})
    </h3>

  <app-block [blocks]="recommendedItem.blocks" [isCollapsed]="isCollapsed" [mode]="recommendedItem.mode"></app-block>
</div>
